11 Replies Latest reply on Jul 1, 2011 12:21 PM by hrrbrt99

    Running JBoss 6.1 Snapshots in Eclipse

    david_b Newbie

      Hi all,

       

      I've been using JBoss AS 6.0.0.Final for a while now but I've run into a couple of the more serious bugs recently. I've downloaded the latest 6.1 snapshot to see if the issues are resolved but I can't start the server inside Eclipse. There's no error displayed, it says it's started but there's no console output. It runs fine outside the IDE.

       

      I'm using Eclipse Helios 3.6.1 with JBoss Tools 3.2.0. There's no 6.1 server definition so I'm using the 6.0 one instead. The following warning is displayed when I create the runtime:

       

      This server type expects a version of 6.0 but the server directory is of version 6.1.0-SNAPSHOT.

       

      I didn't think this would prevent it from starting unless the directory structure has changed between 6.0 and 6.1.

       

      Any idea why it's not working?

       

      How can I create a working 6.1 server definition?

       

      Thanks in advance,

      Dave